<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ValidatorPackClass xmlns:ns2="urn:oasis:names:tc:ebxml-regrep:xsd:query:3.0" xmlns:ns3="metadata">
    <validatorName>epSOS-2 FetchDocumentService QUERY - request</validatorName>
    <version>1.00</version>
    <listPackClass>
        <packClass>net.ihe.gazelle.ihexds.validator.rsqihe.RSQIHEPackValidator</packClass>
    </listPackClass>
    <namespaceEnum>QUERY_NAMESPACE</namespaceEnum>
    <extractNodeEnum>ADHOC_QUERY_REQUEST</extractNodeEnum>
    <listRegistryObjectMetadata>
        <ns3:id>147</ns3:id>
        <ns3:uuid>urn:uuid:14d4debf-8f97-4251-9a74-a90016b0af0d</ns3:uuid>
        <ns3:name>FetchDocumentService:query</ns3:name>
        <ns3:displayAttributeName>FetchDocumentService:query</ns3:displayAttributeName>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryStatus</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue>urn:oasis:names:tc:ebxml-regrep:StatusType:Approved</ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryStatus</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
                <ns3:regex></ns3:regex>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryClassCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryClassCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.1.5</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
                <ns3:regex></ns3:regex>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryType</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue>urn:uuid:7edca82f-054d-47f2-a032-9b2a5b5186c1</ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryType</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
                <ns3:regex></ns3:regex>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryFormatCode</ns3:name>
                <ns3:multiple>true</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryFormatCode</ns3:attribute>
                <ns3:valueset>1.3.6.1.4.1.12559.11.4.1.3</ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
                <ns3:regex></ns3:regex>
            </slotMetadata>
            <cardinality>_01</cardinality>
        </ns3:slotDescriber>
        <ns3:slotDescriber>
            <slotMetadata>
                <ns3:name>$XDSDocumentEntryPatientId</ns3:name>
                <ns3:multiple>false</ns3:multiple>
                <ns3:defaultValue></ns3:defaultValue>
                <ns3:attribute>$XDSDocumentEntryPatientId</ns3:attribute>
                <ns3:valueset></ns3:valueset>
                <ns3:isNumber>false</ns3:isNumber>
                <ns3:regex>^.+?\^\^\^&amp;.+?&amp;ISO$</ns3:regex>
            </slotMetadata>
            <cardinality>_11</cardinality>
        </ns3:slotDescriber>
        <ns3:usages>
            <transaction>
                <description>FetchDocumentService</description>
                <keyword>FetchDocumentService</keyword>
                <name>FetchDocumentService</name>
            </transaction>
            <affinity>
                <labelToDisplay>epSOS-2</labelToDisplay>
                <profile>epSOS-2</profile>
                <keyword>epSOS-2</keyword>
                <supportedTransactions>
                    <description>FetchDocumentService</description>
                    <keyword>FetchDocumentService</keyword>
                    <name>FetchDocumentService</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>ProvideDataService</description>
                    <keyword>ProvideDataService</keyword>
                    <name>ProvideDataService</name>
                </supportedTransactions>
                <supportedTransactions>
                    <description>PatientIdentificationAndAuthenticationService</description>
                    <keyword>PatientIdentificationAndAuthenticationService</keyword>
                    <name>PatientIdentificationAndAuthenticationService</name>
                </supportedTransactions>
            </affinity>
        </ns3:usages>
        <ns3:returnTypes>ObjectRef</ns3:returnTypes>
        <ns3:returnTypes>LeafClass</ns3:returnTypes>
    </listRegistryObjectMetadata>
    <technicalFramework>WP3A_epSOS_EED_IHE_XCA_Binding</technicalFramework>
    <hasNistValidation>true</hasNistValidation>
    <metadataCodes>
        <nistCodeName>epSOSCodePath</nistCodeName>
        <url>http://jumbo.irisa.fr:9080/xdsref/codes/codes.xml</url>
    </metadataCodes>
    <isR>false</isR>
    <isPnR>false</isPnR>
    <isXc>false</isXc>
    <isXdr>false</isXdr>
    <usages>
        <transaction>
            <description>FetchDocumentService</description>
            <keyword>FetchDocumentService</keyword>
            <name>FetchDocumentService</name>
        </transaction>
        <affinity>
            <labelToDisplay>epSOS-2</labelToDisplay>
            <profile>epSOS-2</profile>
            <keyword>epSOS-2</keyword>
            <supportedTransactions>
                <description>FetchDocumentService</description>
                <keyword>FetchDocumentService</keyword>
                <name>FetchDocumentService</name>
            </supportedTransactions>
            <supportedTransactions>
                <description>ProvideDataService</description>
                <keyword>ProvideDataService</keyword>
                <name>ProvideDataService</name>
            </supportedTransactions>
            <supportedTransactions>
                <description>PatientIdentificationAndAuthenticationService</description>
                <keyword>PatientIdentificationAndAuthenticationService</keyword>
                <name>PatientIdentificationAndAuthenticationService</name>
            </supportedTransactions>
        </affinity>
    </usages>
</ValidatorPackClass>
